// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		2784870E2B3072DE0060C024 /* Assignment1App.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784870D2B3072DE0060C024 /* Assignment1App.swift */; };
		278487122B3072DF0060C024 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 278487112B3072DF0060C024 /* Assets.xcassets */; };
		278487152B3072DF0060C024 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 278487142B3072DF0060C024 /* Preview Assets.xcassets */; };
		2784871F2B3072DF0060C024 /* Assignment1Tests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784871E2B3072DF0060C024 /* Assignment1Tests.swift */; };
		278487292B3072DF0060C024 /* Assignment1UITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 278487282B3072DF0060C024 /* Assignment1UITests.swift */; };
		2784872B2B3072DF0060C024 /* Assignment1UITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784872A2B3072DF0060C024 /* Assignment1UITestsLaunchTests.swift */; };
		2784873D2B3073110060C024 /* ColorExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 278487382B3073110060C024 /* ColorExtension.swift */; };
		2784873E2B3073110060C024 /* LoginView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784873A2B3073110060C024 /* LoginView.swift */; };
		2784873F2B3073110060C024 /* CheckBox.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784873B2B3073110060C024 /* CheckBox.swift */; };
		278487402B3073110060C024 /* SignUpView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2784873C2B3073110060C024 /* SignUpView.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		2784871B2B3072DF0060C024 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 278487022B3072DE0060C024 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 278487092B3072DE0060C024;
			remoteInfo = Assignment1;
		};
		278487252B3072DF0060C024 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 278487022B3072DE0060C024 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 278487092B3072DE0060C024;
			remoteInfo = Assignment1;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		2784870A2B3072DE0060C024 /* Assignment1.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Assignment1.app; sourceTree = BUILT_PRODUCTS_DIR; };
		2784870D2B3072DE0060C024 /* Assignment1App.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Assignment1App.swift; sourceTree = "<group>"; };
		278487112B3072DF0060C024 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		278487142B3072DF0060C024 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		2784871A2B3072DF0060C024 /* Assignment1Tests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = Assignment1Tests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		2784871E2B3072DF0060C024 /* Assignment1Tests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Assignment1Tests.swift; sourceTree = "<group>"; };
		278487242B3072DF0060C024 /* Assignment1UITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = Assignment1UITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		278487282B3072DF0060C024 /* Assignment1UITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Assignment1UITests.swift; sourceTree = "<group>"; };
		2784872A2B3072DF0060C024 /* Assignment1UITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Assignment1UITestsLaunchTests.swift; sourceTree = "<group>"; };
		278487382B3073110060C024 /* ColorExtension.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ColorExtension.swift; sourceTree = "<group>"; };
		2784873A2B3073110060C024 /* LoginView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LoginView.swift; sourceTree = "<group>"; };
		2784873B2B3073110060C024 /* CheckBox.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CheckBox.swift; sourceTree = "<group>"; };
		2784873C2B3073110060C024 /* SignUpView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SignUpView.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		278487072B3072DE0060C024 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487172B3072DF0060C024 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487212B3072DF0060C024 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		278487012B3072DE0060C024 = {
			isa = PBXGroup;
			children = (
				2784870C2B3072DE0060C024 /* Assignment1 */,
				2784871D2B3072DF0060C024 /* Assignment1Tests */,
				278487272B3072DF0060C024 /* Assignment1UITests */,
				2784870B2B3072DE0060C024 /* Products */,
			);
			sourceTree = "<group>";
		};
		2784870B2B3072DE0060C024 /* Products */ = {
			isa = PBXGroup;
			children = (
				2784870A2B3072DE0060C024 /* Assignment1.app */,
				2784871A2B3072DF0060C024 /* Assignment1Tests.xctest */,
				278487242B3072DF0060C024 /* Assignment1UITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		2784870C2B3072DE0060C024 /* Assignment1 */ = {
			isa = PBXGroup;
			children = (
				2784870D2B3072DE0060C024 /* Assignment1App.swift */,
				278487372B3073110060C024 /* Extensions */,
				278487392B3073110060C024 /* Views */,
				278487112B3072DF0060C024 /* Assets.xcassets */,
				278487132B3072DF0060C024 /* Preview Content */,
			);
			path = Assignment1;
			sourceTree = "<group>";
		};
		278487132B3072DF0060C024 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				278487142B3072DF0060C024 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		2784871D2B3072DF0060C024 /* Assignment1Tests */ = {
			isa = PBXGroup;
			children = (
				2784871E2B3072DF0060C024 /* Assignment1Tests.swift */,
			);
			path = Assignment1Tests;
			sourceTree = "<group>";
		};
		278487272B3072DF0060C024 /* Assignment1UITests */ = {
			isa = PBXGroup;
			children = (
				278487282B3072DF0060C024 /* Assignment1UITests.swift */,
				2784872A2B3072DF0060C024 /* Assignment1UITestsLaunchTests.swift */,
			);
			path = Assignment1UITests;
			sourceTree = "<group>";
		};
		278487372B3073110060C024 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				278487382B3073110060C024 /* ColorExtension.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		278487392B3073110060C024 /* Views */ = {
			isa = PBXGroup;
			children = (
				2784873A2B3073110060C024 /* LoginView.swift */,
				2784873B2B3073110060C024 /* CheckBox.swift */,
				2784873C2B3073110060C024 /* SignUpView.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		278487092B3072DE0060C024 /* Assignment1 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2784872E2B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1" */;
			buildPhases = (
				278487062B3072DE0060C024 /* Sources */,
				278487072B3072DE0060C024 /* Frameworks */,
				278487082B3072DE0060C024 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Assignment1;
			productName = Assignment1;
			productReference = 2784870A2B3072DE0060C024 /* Assignment1.app */;
			productType = "com.apple.product-type.application";
		};
		278487192B3072DF0060C024 /* Assignment1Tests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 278487312B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1Tests" */;
			buildPhases = (
				278487162B3072DF0060C024 /* Sources */,
				278487172B3072DF0060C024 /* Frameworks */,
				278487182B3072DF0060C024 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				2784871C2B3072DF0060C024 /* PBXTargetDependency */,
			);
			name = Assignment1Tests;
			productName = Assignment1Tests;
			productReference = 2784871A2B3072DF0060C024 /* Assignment1Tests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		278487232B3072DF0060C024 /* Assignment1UITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 278487342B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1UITests" */;
			buildPhases = (
				278487202B3072DF0060C024 /* Sources */,
				278487212B3072DF0060C024 /* Frameworks */,
				278487222B3072DF0060C024 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				278487262B3072DF0060C024 /* PBXTargetDependency */,
			);
			name = Assignment1UITests;
			productName = Assignment1UITests;
			productReference = 278487242B3072DF0060C024 /* Assignment1UITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		278487022B3072DE0060C024 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1500;
				LastUpgradeCheck = 1500;
				TargetAttributes = {
					278487092B3072DE0060C024 = {
						CreatedOnToolsVersion = 15.0.1;
					};
					278487192B3072DF0060C024 = {
						CreatedOnToolsVersion = 15.0.1;
						TestTargetID = 278487092B3072DE0060C024;
					};
					278487232B3072DF0060C024 = {
						CreatedOnToolsVersion = 15.0.1;
						TestTargetID = 278487092B3072DE0060C024;
					};
				};
			};
			buildConfigurationList = 278487052B3072DE0060C024 /* Build configuration list for PBXProject "Assignment1" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 278487012B3072DE0060C024;
			productRefGroup = 2784870B2B3072DE0060C024 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				278487092B3072DE0060C024 /* Assignment1 */,
				278487192B3072DF0060C024 /* Assignment1Tests */,
				278487232B3072DF0060C024 /* Assignment1UITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		278487082B3072DE0060C024 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				278487152B3072DF0060C024 /* Preview Assets.xcassets in Resources */,
				278487122B3072DF0060C024 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487182B3072DF0060C024 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487222B3072DF0060C024 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		278487062B3072DE0060C024 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2784873D2B3073110060C024 /* ColorExtension.swift in Sources */,
				2784873E2B3073110060C024 /* LoginView.swift in Sources */,
				2784870E2B3072DE0060C024 /* Assignment1App.swift in Sources */,
				278487402B3073110060C024 /* SignUpView.swift in Sources */,
				2784873F2B3073110060C024 /* CheckBox.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487162B3072DF0060C024 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2784871F2B3072DF0060C024 /* Assignment1Tests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		278487202B3072DF0060C024 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				278487292B3072DF0060C024 /* Assignment1UITests.swift in Sources */,
				2784872B2B3072DF0060C024 /* Assignment1UITestsLaunchTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		2784871C2B3072DF0060C024 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 278487092B3072DE0060C024 /* Assignment1 */;
			targetProxy = 2784871B2B3072DF0060C024 /* PBXContainerItemProxy */;
		};
		278487262B3072DF0060C024 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 278487092B3072DE0060C024 /* Assignment1 */;
			targetProxy = 278487252B3072DF0060C024 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		2784872C2B3072DF0060C024 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		2784872D2B3072DF0060C024 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		2784872F2B3072DF0060C024 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Assignment1/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		278487302B3072DF0060C024 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Assignment1/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		278487322B3072DF0060C024 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1Tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Assignment1.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Assignment1";
			};
			name = Debug;
		};
		278487332B3072DF0060C024 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1Tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Assignment1.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Assignment1";
			};
			name = Release;
		};
		278487352B3072DF0060C024 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1UITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Assignment1;
			};
			name = Debug;
		};
		278487362B3072DF0060C024 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.UIComponents.Assignment1UITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Assignment1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		278487052B3072DE0060C024 /* Build configuration list for PBXProject "Assignment1" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2784872C2B3072DF0060C024 /* Debug */,
				2784872D2B3072DF0060C024 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2784872E2B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2784872F2B3072DF0060C024 /* Debug */,
				278487302B3072DF0060C024 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		278487312B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1Tests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				278487322B3072DF0060C024 /* Debug */,
				278487332B3072DF0060C024 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		278487342B3072DF0060C024 /* Build configuration list for PBXNativeTarget "Assignment1UITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				278487352B3072DF0060C024 /* Debug */,
				278487362B3072DF0060C024 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 278487022B3072DE0060C024 /* Project object */;
}
